## org.eclipse.emf.query.conditions.eobjects.structuralfeatures
Class EObjectReferenceValueCondition

    java.lang.Object
      org.eclipse.emf.query.conditions.Condition
          org.eclipse.emf.query.conditions.eobjects.EObjectCondition
              org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectStructuralFeatureCondition
                  org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectStructuralFeatureValueCondition
                      org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectReferenceValueCondition

    public class EObjectReferenceValueCondition

extends EObjectStructuralFeatureValueCondition

An `EObjectStructuralFeatureValueCondition` subclass used to handle evaluation of the value held by an `EReference`

Field Summary

Fields inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`E_FALSE, E_TRUE`

Fields inherited from class org.eclipse.emf.query.conditions.Condition
`FALSE, TRUE`

Constructor Summary
`EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition, EReference reference, EObjectCondition valueCondition)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition, EReference reference, EObjectCondition valueCondition, ConditionPolicy policy, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition, EReference reference, EObjectCondition valueCondition, ConditionPolicy policy, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter, boolean resolve)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition, EReference reference, EObjectCondition valueCondition, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(EReference reference, EObjectCondition valueCondition)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(EReference reference, EObjectCondition valueCondition, ConditionPolicy policy, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(EReference reference, EObjectCondition valueCondition, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.
`EObjectReferenceValueCondition(PruneHandler pruneHandler, EObjectCondition contextEObjectCondition, EReference reference, EObjectCondition valueCondition, ConditionPolicy policy, IEStructuralFeatureValueGetter eStructuralFeatureValueGetter, boolean resolve)` A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.

Method Summary
`protected List<EReference>` `getFeatures(EClass eClass)` Overrides the parent to return the list of all EReferences only as opposed to the entire all EStructuralFeatures.
`protected EReference` `getReference()` Accessor method for the `EReference` to whose value is to be used in the evaluation of this condition

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectStructuralFeatureValueCondition
`getPolicy, getStructuralFeatureCondition, isResolve, isSatisfied`

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.structuralfeatures.EObjectStructuralFeatureCondition
`getFeature`

Methods inherited from class org.eclipse.emf.query.conditions.eobjects.EObjectCondition
`AND, EQUIVALENT, getPruneHandler, IMPLIES, isSatisfied, OR, shouldPrune, XOR`

Methods inherited from class org.eclipse.emf.query.conditions.Condition
`AND, EQUIVALENT, IMPLIES, OR, XOR`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EReference reference,
                                          EObjectCondition valueCondition,
                                          IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using ConditionPolicy.ANY for the `ConditionPolicy` policy, the PruneHandler.NEVER for the PruneHandler and the sets resolving to `true`

  Parameters:
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - the `EObjectCondition` object to use for evaluating the `EReference` value
    `eStructuralFeatureValueGetter` - The `IEStructuralFeatureValueGetter` used to extract the value of the `EReference` from a given context object

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EReference reference,
                                          EObjectCondition valueCondition)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using ConditionPolicy.ANY for the `ConditionPolicy` policy, the PruneHandler.NEVER for the PruneHandler and the sets resolving to `true`

  The default `EStructuralFeatureValueGetter` will be used when accessing the value of the EObject's EReference.

  Parameters:
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - the `EObjectCondition` object to use for evaluating the `EReference` value

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EReference reference,
                                          EObjectCondition valueCondition,
                                          ConditionPolicy policy,
                                          IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using the PruneHandler.NEVER for the PruneHandler and the sets resolving to `true`

  Parameters:
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - the `EObjectCondition` object to use for evaluating the `EReference` value
    `policy` - The `ConditionPolicy` to use
    `eStructuralFeatureValueGetter` - The `IEStructuralFeatureValueGetter` used to extract the value of the `EReference` from a given context object

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition,
                                          EReference reference,
                                          EObjectCondition valueCondition,
                                          IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using ConditionPolicy.ANY for the `ConditionPolicy` policy, the PruneHandler.NEVER for the PruneHandler and the sets resolving to `true`

  Parameters:
    `contextEObjectCondition` - An optional -could be `null`- `EObjectCondition` to be applied on the eObject argument of the isSatisified(EObject) method. If this contextEObjectCondition is supplied, then only those EObjects who satisfy it will have the values of their `EReference` examined further, otherwise the resultant evaluation of this `EObjectReferenceValueCondition` will be false.
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - The `EObjectCondition` object to use for evaluating the `EReference` value
    `eStructuralFeatureValueGetter` - The `IEStructuralFeatureValueGetter` used to extract the value of the `EReference` from a given context object

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition,
                                          EReference reference,
                                          EObjectCondition valueCondition)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using ConditionPolicy.ANY for the `ConditionPolicy` policy, the PruneHandler.NEVER for the PruneHandler and the sets resolving to `true`

  The default `EStructuralFeatureValueGetter` will be used when accessing the value of the EObject's EReference.

  Parameters:
    `contextEObjectCondition` - An optional -could be `null`- `EObjectCondition` to be applied on the eObject argument of the isSatisified(EObject) method. If this contextEObjectCondition is supplied, then only those EObjects who satisfy it will have the values of their `EReference` examined further, otherwise the resultant evaluation of this `EObjectReferenceValueCondition` will be false.
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - The `EObjectCondition` object to use for evaluating the `EReference` value

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition,
                                          EReference reference,
                                          EObjectCondition valueCondition,
                                          ConditionPolicy policy,
                                          IEStructuralFeatureValueGetter eStructuralFeatureValueGetter)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using the PruneHandler.NEVER for the PruneHandler and the sets resolving to `true`

  Parameters:
    `contextEObjectCondition` - An optional -- could be `null`- `EObjectCondition` to be applied on the eObject argument of the isSatisified(EObject) method. If this contextEObjectCondition is supplied, then only those EObjects who satisfy it will have the values of their `EReference` examined further, otherwise the resultant evaluation of this `EObjectReferenceValueCondition` will be false.
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - The `EObjectCondition` object to use for evaluating the `EReference` value
    `policy` - The `ConditionPolicy` to use
    `eStructuralFeatureValueGetter` - The `IEStructuralFeatureValueGetter` used to extract the value of the `EReference` from a given context object

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(EObjectCondition contextEObjectCondition,
                                          EReference reference,
                                          EObjectCondition valueCondition,
                                          ConditionPolicy policy,
                                          IEStructuralFeatureValueGetter eStructuralFeatureValueGetter,
                                          boolean resolve)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values. It defaults to using the PruneHandler.NEVER for the PruneHandler

  Parameters:
    `contextEObjectCondition` - An optional -- could be `null`- `EObjectCondition` to be applied on the eObject argument of the isSatisified(EObject) method. If this contextEObjectCondition is supplied, then only those EObjects who satisfy it will have the values of their `EReference` examined further, otherwise the resultant evaluation of this `EObjectReferenceValueCondition` will be false.
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - The `EObjectCondition` object to use for evaluating the `EReference` value
    `policy` - The `ConditionPolicy` to use
    `eStructuralFeatureValueGetter` - The `IEStructuralFeatureValueGetter` used to extract the value of the `EReference` from a given context object
    `resolve` - The flag to indicate whether to resolve or not the values of the `EReference` before subjecting them to evaluation by this condition.

### EObjectReferenceValueCondition

    public EObjectReferenceValueCondition(PruneHandler pruneHandler,
                                          EObjectCondition contextEObjectCondition,
                                          EReference reference,
                                          EObjectCondition valueCondition,
                                          ConditionPolicy policy,
                                          IEStructuralFeatureValueGetter eStructuralFeatureValueGetter,
                                          boolean resolve)

  A constructor that initializes this `EObjectReferenceValueCondition` with the passed values.

  Parameters:
    `pruneHandler` - The PruneHandler to use.
    `contextEObjectCondition` - An optional -- could be `null`- `EObjectCondition` to be applied on the eObject argument of the isSatisified(EObject) method. If this contextEObjectCondition is supplied, then only those EObjects who satisfy it will have the values of their `EReference` examined further, otherwise the resultant evaluation of this `EObjectReferenceValueCondition` will be false.
    `reference` - The `EReference` whose value is to be tested
    `valueCondition` - The `EObjectCondition` object to use for evaluating the `EReference` value
    `policy` - The `ConditionPolicy` to use
    `eStructuralFeatureValueGetter` - The `IEStructuralFeatureValueGetter` used to extract the value of the `EReference` from a given context object
    `resolve` - The flag to indicate whether to resolve or not the values of the `EReference` before subjecting them to evaluation by this condition.

Method Detail

### getReference

    protected EReference getReference()

  Accessor method for the `EReference` to whose value is to be used in the evaluation of this condition

  Returns:
    EReference The `EReference` used in initialization of this condition

### getFeatures

    protected final List<EReference> getFeatures(EClass eClass)

  Overrides the parent to return the list of all EReferences only as opposed to the entire all EStructuralFeatures.

  Overrides:
    `getFeatures` in class `EObjectStructuralFeatureCondition`
  Parameters:
    `eClass` - the Eclass from which to get all the EStructuralFeatures to be used for testing and evaluation of this condition object
  Returns:
    List a list of the all the EStructuralFeatures from the argument EClass and are consequently to be used for testing and evaluation of this condition object
  See Also:
    `EObjectStructuralFeatureCondition.getFeatures(org.eclipse.emf.ecore.EClass)`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.